summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-11-30 19:00:58 +0100
committerHolger Levsen <holger@layer-acht.org>2012-11-30 19:00:58 +0100
commitf935c1f1060d97bb8a7e2263c9471568bfaf6194 (patch)
tree1aa036468c217a845456ffc89ff6e637dc5dc648
parent477fc9fc66907b96013352fc096c40a43686f0a2 (diff)
downloadjenkins.debian.net-f935c1f1060d97bb8a7e2263c9471568bfaf6194.tar.xz
add deb-src urls to sources.list and don't umount stuff we haven't mounted
-rwxr-xr-xbin/chroot_tester.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/bin/chroot_tester.sh b/bin/chroot_tester.sh
index cd367ec5..01e10a2b 100755
--- a/bin/chroot_tester.sh
+++ b/bin/chroot_tester.sh
@@ -46,9 +46,9 @@ cleanup_all() {
exit 1
fi
sudo umount -l $CHROOT_TARGET/proc || true
- sudo umount -l $CHROOT_TARGET/run/lock || true
- sudo umount -l $CHROOT_TARGET/run/shm || true
- sudo umount -l $CHROOT_TARGET/run || true
+ #sudo umount -l $CHROOT_TARGET/run/lock || true
+ #sudo umount -l $CHROOT_TARGET/run/shm || true
+ #sudo umount -l $CHROOT_TARGET/run || true
sudo rm -rf --one-file-system $CHROOT_TARGET
}
@@ -65,6 +65,7 @@ mount /proc -t proc /proc
echo -e '#!/bin/sh\nexit 101' > /usr/sbin/policy-rc.d
chmod +x /usr/sbin/policy-rc.d
echo 'Acquire::http::Proxy "http://localhost:3128";' > /etc/apt/apt.conf.d/80proxy
+echo "deb-src $MIRROR $1 main contrib non-free" >> /etc/apt/sources.list
apt-get update
EOF
}
@@ -98,7 +99,7 @@ EOF
bootstrap() {
echo "Bootstraping $1 into $CHROOT_TARGET now."
sudo debootstrap $1 $CHROOT_TARGET $MIRROR
- prepare_bootstrap
+ prepare_bootstrap $1
execute_ctmpfile
}